Bug 143066 - Race condition causes umount /sys to fail
Summary: Race condition causes umount /sys to fail
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-16 10:04 UTC by Pierre Ossman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 17:04:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example initrd (294.00 KB, application/octet-stream)
2004-12-20 18:15 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2004-12-16 10:04:52 UTC
Description of problem:

There exists some sort of race condition in the initrd script
generated by mkinitrd. Sometimes umount /sys fails with error EBUSY.
udev probably doesn't close something fast enough. Adding a 'sleep 1'
just before the umount makes the problem go away.
The problem only appears in the specific case outlined in the
instructions.


Version-Release number of selected component (if applicable):
4.1.18-2


How reproducible:

Almost every time. (~9 out of 10 times)


Steps to Reproduce:

1. Power off laptop
2. Remove AC power
3. Boot up
4. Observe error -16 when trying to umount /sys


Actual results:

Extra /sys mounted when looking in /proc/mounts


Expected results:

Only one /sys mounted.

Comment 1 Pierre Ossman 2004-12-16 10:05:36 UTC
Extra information can be found at:

http://www.bughost.org/bugzilla/show_bug.cgi?id=464

Comment 2 Jeremy Katz 2004-12-20 17:40:23 UTC
Can you attach one of your initrds?  I can't see how this would happen
in the usual case and before slowing down bootup, I'd like to try to
figure out what in sysfs is being accessed during the initrd

Comment 3 Pierre Ossman 2004-12-20 18:15:53 UTC
Created attachment 108914 [details]
Example initrd

Comment 4 Jeremy Katz 2004-12-20 18:22:05 UTC
Hmmm, have you seen this with anything other than XFS root fs's?

Comment 5 Pierre Ossman 2004-12-20 18:43:08 UTC
It is only on one machine that this bug causes any kind of problem. So
I don't know if this has appeared on any other machine.
And changing the root fs isn't something I do on a daily basis so the
machine in question has not experienced anything but XFS.

Comment 6 Peter Jones 2005-04-18 20:11:21 UTC
Does this still happen for you in fc4t2?

Comment 7 Pierre Ossman 2005-04-19 17:21:10 UTC
The problem went away when I changed to ext3 on the machine. I'm no longer able
to replicate the problem so I cannot test if there has been a change for fc4t2.
Sorry.


Note You need to log in before you can comment on or make changes to this bug.